Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
28d50231
Unverified
Commit
28d50231
authored
Apr 12, 2019
by
Kubernetes Prow Robot
Committed by
GitHub
Apr 12, 2019
Browse files
Options
Browse Files
Download
Plain Diff
Merge pull request #76244 from cblecker/dep-script-fixups
Couple of dependency script cleanups
parents
b7858e31
2363136f
Hide whitespace changes
Inline
Side-by-side
Showing
6 changed files
with
8 additions
and
83 deletions
+8
-83
Readme
Godeps/Readme
+0
-5
verify.sh
hack/make-rules/verify.sh
+0
-2
verify-godep-licenses.sh
hack/verify-godep-licenses.sh
+0
-23
verify-godeps.sh
hack/verify-godeps.sh
+0
-23
verify-vendor-licenses.sh
hack/verify-vendor-licenses.sh
+1
-10
verify-vendor.sh
hack/verify-vendor.sh
+7
-20
No files found.
Godeps/Readme
deleted
100644 → 0
View file @
b7858e31
This directory tree is generated automatically by godep.
Please do not edit.
See https://github.com/tools/godep for more information.
hack/make-rules/verify.sh
View file @
28d50231
...
@@ -48,8 +48,6 @@ fi
...
@@ -48,8 +48,6 @@ fi
# Exclude vendor checks in certain cases, if they're running in a separate job.
# Exclude vendor checks in certain cases, if they're running in a separate job.
if
[[
${
EXCLUDE_GODEP
:-}
=
~ ^[yY]
$
]]
;
then
if
[[
${
EXCLUDE_GODEP
:-}
=
~ ^[yY]
$
]]
;
then
EXCLUDED_PATTERNS+
=(
EXCLUDED_PATTERNS+
=(
"verify-godeps.sh"
# runs in separate godeps job
"verify-godeps-licenses.sh"
# runs in separate godeps job
"verify-vendor.sh"
# runs in separate godeps job
"verify-vendor.sh"
# runs in separate godeps job
"verify-vendor-licenses.sh"
# runs in separate godeps job
"verify-vendor-licenses.sh"
# runs in separate godeps job
)
)
...
...
hack/verify-godep-licenses.sh
deleted
100755 → 0
View file @
b7858e31
#!/usr/bin/env bash
# Copyright 2015 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set
-o
errexit
set
-o
nounset
set
-o
pipefail
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
/..
echo
"Deprecated, use verify-vendor-licenses.sh instead"
"
${
KUBE_ROOT
}
/hack/verify-vendor-licenses.sh"
"
$@
"
hack/verify-godeps.sh
deleted
100755 → 0
View file @
b7858e31
#!/usr/bin/env bash
# Copyright 2015 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set
-o
errexit
set
-o
nounset
set
-o
pipefail
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
/..
echo
"Deprecated, use verify-vendor.sh instead"
"
${
KUBE_ROOT
}
/hack/verify-vendor.sh"
"
$@
"
hack/verify-vendor-licenses.sh
View file @
28d50231
...
@@ -21,15 +21,6 @@ set -o pipefail
...
@@ -21,15 +21,6 @@ set -o pipefail
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
/..
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
/..
source
"
${
KUBE_ROOT
}
/hack/lib/init.sh"
source
"
${
KUBE_ROOT
}
/hack/lib/init.sh"
readonly
branch
=
${
1
:-${
KUBE_VERIFY_GIT_BRANCH
:-
master
}}
if
!
[[
${
KUBE_FORCE_VERIFY_CHECKS
:-}
=
~ ^[yY]
$
]]
&&
\
!
kube::util::has_changes
"
${
branch
}
"
'Godeps/'
&&
\
!
kube::util::has_changes
"
${
branch
}
"
'go.mod'
&&
\
!
kube::util::has_changes
"
${
branch
}
"
'go.sum'
&&
\
!
kube::util::has_changes
"
${
branch
}
"
'vendor/'
;
then
exit
0
fi
# create a nice clean place to put our new licenses
# create a nice clean place to put our new licenses
# must be in the user dir (e.g. KUBE_ROOT) in order for the docker volume mount
# must be in the user dir (e.g. KUBE_ROOT) in order for the docker volume mount
# to work with docker-machine on macs
# to work with docker-machine on macs
...
@@ -40,7 +31,7 @@ function cleanup {
...
@@ -40,7 +31,7 @@ function cleanup {
#echo "Removing workspace: ${_tmpdir}"
#echo "Removing workspace: ${_tmpdir}"
rm
-rf
"
${
_tmpdir
}
"
rm
-rf
"
${
_tmpdir
}
"
}
}
trap
cleanup EXIT
kube::util::trap_add
cleanup EXIT
cp
-r
"
${
KUBE_ROOT
}
/Godeps"
"
${
_tmpdir
}
/Godeps"
cp
-r
"
${
KUBE_ROOT
}
/Godeps"
"
${
_tmpdir
}
/Godeps"
ln
-s
"
${
KUBE_ROOT
}
/LICENSE"
"
${
_tmpdir
}
"
ln
-s
"
${
KUBE_ROOT
}
/LICENSE"
"
${
_tmpdir
}
"
...
...
hack/verify-vendor.sh
View file @
28d50231
...
@@ -21,29 +21,16 @@ set -o pipefail
...
@@ -21,29 +21,16 @@ set -o pipefail
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
/..
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
/..
source
"
${
KUBE_ROOT
}
/hack/lib/init.sh"
source
"
${
KUBE_ROOT
}
/hack/lib/init.sh"
readonly
branch
=
${
1
:-${
KUBE_VERIFY_GIT_BRANCH
:-
master
}}
# create a nice clean place to put our new licenses
if
!
[[
${
KUBE_FORCE_VERIFY_CHECKS
:-}
=
~ ^[yY]
$
]]
&&
\
# must be in the user dir (e.g. KUBE_ROOT) in order for the docker volume mount
!
kube::util::has_changes
"
${
branch
}
"
'Godeps/'
&&
\
# to work with docker-machine on macs
!
kube::util::has_changes
"
${
branch
}
"
'go.mod'
&&
\
mkdir
-p
"
${
KUBE_ROOT
}
/_tmp"
!
kube::util::has_changes
"
${
branch
}
"
'go.sum'
&&
\
_tmpdir
=
"
$(
mktemp
-d
"
${
KUBE_ROOT
}
/_tmp/kube-vendor.XXXXXX"
)
"
!
kube::util::has_changes
"
${
branch
}
"
'vendor/'
&&
\
!
kube::util::has_changes
"
${
branch
}
"
'staging/'
&&
\
!
kube::util::has_changes
"
${
branch
}
"
'hack/lib/'
&&
\
!
kube::util::has_changes
"
${
branch
}
"
'hack/.*vendor'
;
then
exit
0
fi
if
[[
-z
${
TMP_GOPATH
:-}
]]
;
then
# Create a nice clean place to put our new vendor
_tmpdir
=
"
$(
kube::realpath
"
$(
mktemp
-d
-t
verifyvendor.XXXXXX
)
"
)
"
else
# reuse what we might have saved previously
_tmpdir
=
"
${
TMP_GOPATH
}
"
fi
if
[[
-z
${
KEEP_TMP
:-}
]]
;
then
if
[[
-z
${
KEEP_TMP
:-}
]]
;
then
KEEP_TMP
=
false
KEEP_TMP
=
false
fi
fi
function
cleanup
{
function
cleanup
{
# make go module dirs writeable
# make go module dirs writeable
chmod
-R
+w
"
${
_tmpdir
}
"
chmod
-R
+w
"
${
_tmpdir
}
"
...
@@ -54,7 +41,7 @@ function cleanup {
...
@@ -54,7 +41,7 @@ function cleanup {
rm
-rf
"
${
_tmpdir
}
"
rm
-rf
"
${
_tmpdir
}
"
fi
fi
}
}
trap
cleanup EXIT
kube::util::trap_add
cleanup EXIT
# Copy the contents of the kube directory into the nice clean place (which is NOT shaped like a GOPATH)
# Copy the contents of the kube directory into the nice clean place (which is NOT shaped like a GOPATH)
_kubetmp
=
"
${
_tmpdir
}
"
_kubetmp
=
"
${
_tmpdir
}
"
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment